/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                                                                        **
**                           BIALYSTOK 2019                               **
**                                                                        **
**                             MODULE trace                               **
**                                                                        **
**                     Mikrokontroler ARM: LPC2378                        **
**                                                                        **
**                     Wersja z dnia : 2019.01.19                         **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/


#include "trace.h"
#include "uart0.h"
#include "strings.h"


void TraceMAC ( UCHAR * MACAddr )
{  
  UCHAR NumberStr [ 32 ] ;
  USHORT Loop ;
  /*-------------------------------------------------------------------------*/
  for ( Loop = 0 ; Loop < 5 ; Loop ++ )
  {
    WordToHexStr ( NumberStr , 2 , '0' ,  ( USHORT ) ( * MACAddr ) ) ;
    MACAddr ++ ;
    UART0SendString ( NumberStr ) ;
    UART0Send ( '-' ) ;
  } /* for */ ;  
  WordToHexStr ( NumberStr , 2 , '0' ,  ( USHORT ) ( * MACAddr ) ) ;
  UART0SendString ( NumberStr ) ;
} /* TraceMAC */


void TraceIP ( ULONG IPAddress )
{
  UCHAR NumberStr [ 24 ] ;
  /*-------------------------------------------------------------------------*/
  IPToString ( NumberStr , IPAddress ) ;
  UART0SendString ( NumberStr ) ;
} /* TraceIP */


void TraceUCHAR ( UCHAR Data )
{
  UCHAR NumberStr [ 8 ] ;
  /*-------------------------------------------------------------------------*/
  WordToHexStr ( NumberStr , 2 , '0' , ( USHORT ) Data ) ;
  UART0SendString ( NumberStr ) ;
} /* TraceUCHAR */
  

void TraceUSHORT ( USHORT Data )
{
  UCHAR NumberStr [ 8 ] ;
  /*-------------------------------------------------------------------------*/
  WordToHexStr ( NumberStr , 4 , '0' , Data ) ;
  UART0SendString ( NumberStr ) ;
} /* TraceUSHORT */


void TraceULONG ( ULONG Data )
{
  UCHAR NumberStr [ 12 ] ;
  /*-------------------------------------------------------------------------*/
  LongToHexStr ( NumberStr , 8 , '0' , Data ) ;
  UART0SendString ( NumberStr ) ;
} /* TraceULONG */

